Package: org.grails.plugins.web.servlet.mvc

## [Groovy] Class InvalidResponseHandler

- org.grails.plugins.web.servlet.mvc.InvalidResponseHandler

-     @groovy.transform.CompileStatic
      class InvalidResponseHandler
      extends AbstractTokenResponseHandler

  Handles an invalid token response. See TokenResponseHandler

  Authors:
    Graeme Rocher
  Since:
    3.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractTokenResponseHandler` | `invoked, valid`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `InvalidResponseHandler ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.Object` | `invalidTokenInternal(groovy.lang.Closure callable)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractTokenResponseHandler` | `invalidToken, invalidTokenInternal, wasInvalidToken, wasInvoked`

- - ### Constructor Detail

    - #### InvalidResponseHandler()

  - ### Method Detail

    - #### protected java.lang.Object invalidTokenInternal(groovy.lang.Closure callable)